Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython2.SubmitFormAction Class Reference
Inheritance diagram for FoxitPDFSDKPython2.SubmitFormAction:

## Public Member Functions
def | SubmitFormAction (action)
| Constructor, with parent class object. More...
def | GetFieldNames ()
| Get all field names from the array in current submit form action. More...
def | GetFlags ()
| Get the flag value used for submission. More...
def | GetURL ()
| Get the URI string of the script at the Web server that will process the submission. More...
def | SetFieldNames (field_names)
| Set field name array. More...
def | SetFlags (flags)
| Set the flag value used for submission. More...
def | SetURL (url)
| Set the URI string of the script at the Web server that will process the submission. More...
Public Member Functions inherited from FoxitPDFSDKPython2.Action
def | Action (document, action_dict)
| Constructor, with parameters. More...
def | Action (action)
| Constructor, with another action object. More...
def | GetDict ()
| Get PDF dictionary of current object. More...
def | GetDocument ()
| Get the PDF document, to which current action belongs. More...
def | GetSubAction (index)
| Get a sub-action by index. More...
def | GetSubActionCount ()
| Get the count of sub-actions. More...
def | GetType ()
| Get action type. More...
def | InsertSubAction (index, sub_action)
| Insert a new sub-action to the location specified by index. More...
def | IsEmpty ()
| Check whether current object is empty or not. More...
def | RemoveAllSubActions ()
| Remove all the sub-actions. More...
def | RemoveSubAction (index)
| Remove a sub-action, specified by index. More...
def | SetSubAction (index, sub_action)
| Set a sub-action by index. More...

## Static Public Attributes
| e_FlagAsXFDF = _fsdk.SubmitFormAction_e_FlagAsXFDF
| Bit 6. Field names and values are submitted as XFDF.
| e_FlagCanonicalFormat = _fsdk.SubmitFormAction_e_FlagCanonicalFormat
| Bit 10. Any submitted field values representing dates are converted to the standard format.
| e_FlagEmbedForm = _fsdk.SubmitFormAction_e_FlagEmbedForm
| Bit 14. "F" entry of submitted FDF is an embedded file stream.
| e_FlagExclFKey = _fsdk.SubmitFormAction_e_FlagExclFKey
| Bit 12. Submitted FDF excludes "F" entry.
| e_FlagExclNonUserAnnots = _fsdk.SubmitFormAction_e_FlagExclNonUserAnnots
| Bit 11. Only those markup annotations whose "T" entry matches the name of the current user are being submitted.
| e_FlagExclude = _fsdk.SubmitFormAction_e_FlagExclude
| Bit 1. If set, fields name defined in submit form action should be excluded from submitting; if not set, only these fields name (including their descendants) are to be submit.
| e_FlagExportFormat = _fsdk.SubmitFormAction_e_FlagExportFormat
| Bit 3. Field names and values are submitted in HTML Form format. More...
| e_FlagGetMethod = _fsdk.SubmitFormAction_e_FlagGetMethod
| Bit 4. Field names and values are submitted using an HTTP GET request. More...
| e_FlagIncludeAnnotations = _fsdk.SubmitFormAction_e_FlagIncludeAnnotations
| Bit 8. Submitted FDF file includes all markup annotations in underlying PDF document. More...
| e_FlagIncludeAppendSaves = _fsdk.SubmitFormAction_e_FlagIncludeAppendSaves
| Bit 7. Submitted FDF file includes contents as contained in differences entry in the FDF dictionary. More...
| e_FlagIncludeNoValueFields = _fsdk.SubmitFormAction_e_FlagIncludeNoValueFields
| Bit 2. Submit fields regardless of whether they have a value. More...
| e_FlagSubmitAsPDF = _fsdk.SubmitFormAction_e_FlagSubmitAsPDF
| Bit 9. The document is submitted as PDF.
| e_FlagWithCoordinates = _fsdk.SubmitFormAction_e_FlagWithCoordinates
| Bit 5. Coordinates of the mouse are transmitted as part of the form data.
Static Public Attributes inherited from FoxitPDFSDKPython2.Action
| e_NewWindowFlagFalse = _fsdk.Action_e_NewWindowFlagFalse
| "NewWindow" flag is false.
| e_NewWindowFlagNone = _fsdk.Action_e_NewWindowFlagNone
| No "NewWindow" flag.
| e_NewWindowFlagTrue = _fsdk.Action_e_NewWindowFlagTrue
| "NewWindow" flag is true.
| e_TypeGoto = _fsdk.Action_e_TypeGoto
| Action type: go-to action.
| e_TypeGoTo3DView = _fsdk.Action_e_TypeGoTo3DView
| Action type: go-to-3D-view action.
| e_TypeGoToE = _fsdk.Action_e_TypeGoToE
| Action type: embedded go-to action.
| e_TypeGoToR = _fsdk.Action_e_TypeGoToR
| Action type: remote go-to action.
| e_TypeHide = _fsdk.Action_e_TypeHide
| Action type: hide action.
| e_TypeImportData = _fsdk.Action_e_TypeImportData
| Action type: import-data action.
| e_TypeJavaScript = _fsdk.Action_e_TypeJavaScript
| Action type: JavaScript action.
| e_TypeLaunch = _fsdk.Action_e_TypeLaunch
| Action type: launch action.
| e_TypeMovie = _fsdk.Action_e_TypeMovie
| Action type: movie action.
| e_TypeNamed = _fsdk.Action_e_TypeNamed
| Action type: named action.
| e_TypeRendition = _fsdk.Action_e_TypeRendition
| Action type: rendition action.
| e_TypeResetForm = _fsdk.Action_e_TypeResetForm
| Action type: reset-form action.
| e_TypeSetOCGState = _fsdk.Action_e_TypeSetOCGState
| Action type: set-OCG-state action.
| e_TypeSound = _fsdk.Action_e_TypeSound
| Action type: sound action.
| e_TypeSubmitForm = _fsdk.Action_e_TypeSubmitForm
| Action type: submit-form action.
| e_TypeThread = _fsdk.Action_e_TypeThread
| Action type: thread action.
| e_TypeTrans = _fsdk.Action_e_TypeTrans
| Action type: transition action.
| e_TypeUnknown = _fsdk.Action_e_TypeUnknown
| Action type: unknown action.
| e_TypeURI = _fsdk.Action_e_TypeURI
| Action type: uniform resource identifier (URI) action.

## Additional Inherited Members
Static Public Member Functions inherited from FoxitPDFSDKPython2.Action
def | Create (document, action_type)
| Create a new action, for specified action type. More...

## Detailed Description

Submit-form action is to send data to a uniform resource locator. Class FoxitPDFSDKPython2.SubmitFormAction is derived from Action and offers functions to get/set submit-form action data.

See also
  Action

## Constructor & Destructor Documentation

## ◆ SubmitFormAction()

def FoxitPDFSDKPython2.SubmitFormAction.SubmitFormAction | ( |  | action | ) |

Constructor, with parent class object.

Parameters

  [in] | action | Parent class object.

## Member Function Documentation

## ◆ GetFieldNames()

def FoxitPDFSDKPython2.SubmitFormAction.GetFieldNames | ( |  | ) |

Get all field names from the array in current submit form action.

A submit form action can have an array identifying which fields to include in the submission or which to exclude, depending on the flag value.

Returns
  An array of field names.

## ◆ GetFlags()

def FoxitPDFSDKPython2.SubmitFormAction.GetFlags | ( |  | ) |

Get the flag value used for submission.

Returns
  Flag value. Please refer to values starting from FoxitPDFSDKPython2.SubmitFormAction.e_FlagExclude and this would be one or a combination of these values. 0 means all bits in the flag are 0.

## ◆ GetURL()

def FoxitPDFSDKPython2.SubmitFormAction.GetURL | ( |  | ) |

Get the URI string of the script at the Web server that will process the submission.

Returns
  URI string.

## ◆ SetFieldNames()

def FoxitPDFSDKPython2.SubmitFormAction.SetFieldNames | ( |  | field_names | ) |

Set field name array.

A submit form action can have an array identifying which fields to include in the submission or which to exclude, depending on the flag value.

Parameters

  [in] | field_names | An array of form fields' names, to identify which fields to include in or exclude from submission. This parameter can be an empty array. Field name can be retrieved by function FoxitPDFSDKPython2.Field.GetName .

Returns
  None.

## ◆ SetFlags()

def FoxitPDFSDKPython2.SubmitFormAction.SetFlags | ( |  | flags | ) |

Set the flag value used for submission.

Parameters

  [in] | flags | New flag value. Please refer to values starting from FoxitPDFSDKPython2.SubmitFormAction.e_FlagExclude and this can be one or a combination of these values It could also be 0, which means all bits in the flag are 0.

Returns
  None.

## ◆ SetURL()

def FoxitPDFSDKPython2.SubmitFormAction.SetURL | ( |  | url | ) |

Set the URI string of the script at the Web server that will process the submission.

Parameters

  [in] | url | URI string. It should not be an empty string.

Returns
  None.

## Member Data Documentation

## ◆ e_FlagExportFormat

FoxitPDFSDKPython2.SubmitFormAction.e_FlagExportFormat = _fsdk.SubmitFormAction_e_FlagExportFormat
| static

Bit 3. Field names and values are submitted in HTML Form format.

Note
  Meaningful only if flags FoxitPDFSDKPython2.SubmitFormAction.e_FlagAsXFDF and FoxitPDFSDKPython2.SubmitFormAction.e_FlagSubmitAsPDF are clear.
  If this flag is clear, that means to submit in Forms Data Format (FDF).

## ◆ e_FlagGetMethod

FoxitPDFSDKPython2.SubmitFormAction.e_FlagGetMethod = _fsdk.SubmitFormAction_e_FlagGetMethod
| static

Bit 4. Field names and values are submitted using an HTTP GET request.

Note
  Meaningful only when flag FoxitPDFSDKPython2.SubmitFormAction.e_FlagExportFormat is set. If this flag is clear, that means to submit using a POST request.

## ◆ e_FlagIncludeAnnotations

FoxitPDFSDKPython2.SubmitFormAction.e_FlagIncludeAnnotations = _fsdk.SubmitFormAction_e_FlagIncludeAnnotations
| static

Bit 8. Submitted FDF file includes all markup annotations in underlying PDF document.

Note
  Meaningful only when the form is being submitted in Forms Data Format.

## ◆ e_FlagIncludeAppendSaves

FoxitPDFSDKPython2.SubmitFormAction.e_FlagIncludeAppendSaves = _fsdk.SubmitFormAction_e_FlagIncludeAppendSaves
| static

Bit 7. Submitted FDF file includes contents as contained in differences entry in the FDF dictionary.

Note
  Meaningful only when the form is being submitted in Forms Data Format.

## ◆ e_FlagIncludeNoValueFields

FoxitPDFSDKPython2.SubmitFormAction.e_FlagIncludeNoValueFields = _fsdk.SubmitFormAction_e_FlagIncludeNoValueFields
| static

Bit 2. Submit fields regardless of whether they have a value.

Note
  For fields without a value, only the field name is transmitted.